Subject: bug#78537: GIMP startup crash on minimal xorg/wm unless gtk+ in profile

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 04 Jul 2025 12:12:41 +0900

Hi,

Runciter <[email-masked]> writes:

> Hi,
>
> "Maxim Cournoyer" <[email-masked]> writes:
>
>> Are you able to run it this way?
>>
>> --8<---------------cut here---------------start------------->8---
>> ./pre-inst-env guix shell --pure gimp -- gimp
>> --8<---------------cut here---------------end--------------->8---
>>
>> For me it still fails to run, apparently it fails to load its PNG icons.
>> Maybe it also needs to be wrapped with GDK_PIXBUF_MODULE_FILE ?

[...]

> So... No revised patch and I guess I won't be able to make progress in
> the near future. I'm kind of at the end of my wits with this, and
> definitely lacking knowledge about gtk. Here's where I'm at:
>
> After applying my patch V3, that is to say wrapping the data files
> directory of the gtk+ package into XDG_DATA_DIRS, you can get GIMP to
> complete startup in a more minimal profile; most minimally, it can be
> obtained with the following command:
>
> ./pre-inst-env guix shell --pure gimp gdk-pixbuf -- gimp

Interesting!  As perhaps one last thing to check, you could compare the
environment variables set in that profile, or compare the output of
'strace -e file -f -s200 gimp' when it works and doesn't.

-- 
Thanks,
Maxim